#include <bits/stdc++.h>

using namespace std;

struct point{
    int x, y;

    point(){}
    point(int _x, int _y){
        x = _x;
        y = _y;
    }
    bool operator<(const point &p) const{
        if(x < p.x) return true;
        return y < p.y;
    }
    void print(){
        cout << x << " " << y << endl;
    }
};

vector<point> w1, w2, h1;
set<point> s;
int n, m;
double ansmax = -1, ansmin = 1e12;


bool scalar(point p1, point p2, point p3){
    return ((p1.x - p2.x) * (p1.x - p3.x) + (p1.y - p2.y) * (p1.y - p3.y)) == 0;
}

point cordPoint(point p1, point p2, point p3){
    point p(p2.x + p3.x - p1.x, p2.y + p3.y - p1.y);
    return p;
}

bool findPoint(point p){
    return s.find(p) != s.end();
}

double S(point a, point b, point c){
    return b.x * c.y + c.x * a.y + a.x * b.y - b.x * a.y - c.x * b.y - a.x * c.y;
}

void init(){
    cin >> n >> m;
    for(int i = 1;i <= n + 1;i++){
        point p(i, 1), q(i, m + 1);
        w1.push_back(p);
        w2.push_back(q);
    }
    for(int i = 2;i <= m;i++){
        point p(1, i), q(n + 1, i);
        h1.push_back(p);
        s.insert(q);
    }
}

void solve(){
    int sw1 = w1.size(), sw2 = w2.size(), sh = h1.size();
    for(int i = 0;i < sw1;i++){
        for(int j = 0;j < sw2;j++){
            for(int k = 0;k < sh;k++){
                if(scalar(w1[i], w2[j], h1[k]) && cordPoint(w1[i], w2[j], h1[k]).x == n + 1 && cordPoint(w1[i], w2[j], h1[k]).y >= 1 && cordPoint(w1[i], w2[j], h1[k]).y <= m){
                    ansmin = min(ansmin, abs(S(w1[i], w2[j], h1[k])));
                    ansmax = max(ansmax, abs(S(w1[i], w2[j], h1[k])));
                }
                if(scalar(w1[i], h1[k], w2[j]) && cordPoint(w1[i], h1[k], w2[j]).x == n + 1 && cordPoint(w1[i], h1[k], w2[j]).y >= 1 && cordPoint(w1[i], h1[k], w2[j]).y <= m){
                    ansmin = min(ansmin, abs(S(w1[i], h1[k], w2[j])));
                    ansmax = max(ansmax, abs(S(w1[i], h1[k], w2[j])));
                }
                if(scalar(w2[j], w1[i], h1[k]) && cordPoint(w2[j], w1[i], h1[k]).x == n + 1 && cordPoint(w2[j], w1[i], h1[k]).y >= 1 && cordPoint(w2[j], w1[i], h1[k]).y <= m){
                    ansmin = min(ansmin, abs(S(w2[j], w1[i], h1[k])));
                    ansmax = max(ansmax, abs(S(w2[j], w1[i], h1[k])));
                }
                if(scalar(w2[j], h1[j], w1[i]) && cordPoint(w2[j], h1[j], w1[i]).x == n + 1 && cordPoint(w2[j], h1[j], w1[i]).y >= 1 && cordPoint(w2[j], h1[j], w1[i]).y <= m){
                    ansmin = min(ansmin, abs(S(w2[j], h1[j], w1[i])));
                    ansmax = max(ansmax, abs(S(w2[j], h1[j], w1[i])));
                }
                if(scalar(h1[k], w2[j], w1[i]) && cordPoint(h1[k], w2[j], w1[i]).x == n + 1 && cordPoint(h1[k], w2[j], w1[i]).y >= 1 && cordPoint(h1[k], w2[j], w1[i]).y <= m){
                    ansmin = min(ansmin, abs(S(h1[k], w2[j], w1[i])));
                    ansmax = max(ansmax, abs(S(h1[k], w2[j], w1[i])));
                }
                if(scalar(h1[k], w1[i], w2[j]) && cordPoint(h1[k], w1[i], w2[j]).x == n + 1 && cordPoint(h1[k], w1[i], w2[j]).y >= 1 && cordPoint(h1[k], w1[i], w2[j]).y <= m){
                    ansmin = min(ansmin, abs(S(h1[k], w1[i], w2[j])));
                    ansmax = max(ansmax, abs(S(h1[k], w1[i], w2[j])));
                }
            }
        }
    }
    cout << fixed << setprecision(1) << ansmin << " ";
    cout << fixed << setprecision(1) << ansmax << endl;
}
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    init();
    solve();
    return 0;
}
