#include <bits/stdc++.h>

using namespace std;

struct point{
    int x, y;

    point(){}
    point(int _x, int _y){
        x = _x;
        y = _y;
    }
    bool operator<(const point &p) const{
        if(x < p.x) return true;
        return y < p.y;
    }
    void print(){
        cout << x << " " << y << endl;
    }
};

vector<point> w1, w2, h1;
set<point> s;
int n, m;
double ansmax = -1, ansmin = 1e12;


bool scalar(point p1, point p2, point p3){
    return ((p1.x - p2.x) * (p1.x - p3.x) + (p1.y - p2.y) * (p1.y - p3.y)) == 0;
}

point cordPoint(point p1, point p2, point p3){
    point p(p2.x + p3.x - p1.x, p2.y + p3.y - p1.y);
    return p;
}

bool findPoint(point p){
    return s.find(p) != s.end();
}

double S(point a, point b, point c){
    return b.x * c.y + c.x * a.y + a.x * b.y - b.x * a.y - c.x * b.y - a.x * c.y;
}

void init(){
    cin >> n >> m;
    for(int i = 1;i <= n + 1;i++){
        point p(i, 1), q(i, m + 1);
        w1.push_back(p);
        w2.push_back(q);
    }
    for(int i = 2;i <= m;i++){
        point p(1, i), q(n + 1, i);
        h1.push_back(p);
        s.insert(q);
    }
}

void solve(){
    int sw1 = w1.size(), sw2 = w2.size(), sh = h1.size();
    for(int i = 0;i < sw1;i++){
        for(int j = 0;j < sh;j++){
            if(m + 1 - (h1[j].y + 1) >= 1 && n + 1 - (w1[i].x - 1) >= 1 && scalar(w1[i], h1[j],  {n + 1, m + 1 - h1[j].y + 1})){
                ansmin = min(ansmin, abs(S(w1[i], h1[j],  {n + 1, m + 1 - h1[j].y + 1})));
                ansmax = max(ansmax, abs(S(w1[i], h1[j],  {n + 1, m + 1 - h1[j].y + 1})));
            }
        }
    }
    if(n == 1 && ansmax == -1){
        cout << "0.0 0.0\n";
        return;
    }
    cout << fixed << setprecision(1) << ansmin << " ";
    cout << fixed << setprecision(1) << ansmax << endl;
}
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    init();
    if(n == m && n != 1){
        ansmin = 2, ansmax = 2;
        double sub = 3;
        int curr = 2;
        while(curr < n){
            ansmin += 2;
            ansmax += sub;
            sub += 2;
            curr++;
        }
        cout << fixed << setprecision(1) << ansmin << " ";
        cout << fixed << setprecision(1) << ansmax << endl;
        return 0;
    }
    solve();
    return 0;
}
